Skip to content

Payout service APIs (1.0.0)

Payout service APIs

Languages
Servers
Mock server

https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/

Forex

Operations

Payout Partner

Operations

Payout Method

Operations

Data requirements

Operations

Get data requirements

Request

Returns the fields required to make a payout using the given payout method.

Query
payout-countrystringrequired

The beneficiary's country in ISO 3166-1 alpha-2 code format.

Example: payout-country=AT
use-casestringrequired

The use case for the payment.

Enum ValueDescription
B2B

A business pays another business

B2C

A business pays an individual

B2B2B

A business pays another business on behalf of a business

B2B2C

A business pays an individual on behalf of a business

C2B2B

A business pays another business on behalf of an individual

C2B2C

A business pays an individual on behalf of another individual

payout-currencystring^[A-Z]{3,4}$required

The beneficiary's account currency in ISO-4217 alpha-3 code format.

Example: payout-currency=EUR
payout-categorystringrequired

The payout category for the payment. This field corresponds to payoutMethodName in the 200 response.

Value"BANK"
Example: payout-category=BANK
payout-method-namestring

Payout method, for example: sepa, spei

partner-namestringrequired

The name of Ripple's payout partner. Please reach out to your Ripple liasion to get the value.

field-categorystringrequired

Field category specifies the type of party involved in the transaction.

Field categoryDescription
ORIGINATORThe identity corresponds to a payment originator
BENEFICIARYThe identity corresponds to a payment beneficiary
Example: field-category=BENEFICIARY
flowstringrequired

The only supported value is RPD.

Example: flow=RPD
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/data-requirements?payout-country=AT&use-case=B2B&payout-currency=EUR&payout-category=BANK&payout-method-name=string&partner-name=string&field-category=BENEFICIARY&flow=RPD'

Responses

Returns all the data requirements for the payout method identified by its id

Bodyapplication/json
supportedUseCasestringrequired

The use case for the payment.

Example: "B2B"
payoutCountrystringrequired

The beneficiary's country in ISO 3166-1 alpha-2 code format.

Example: "AT"
payoutCurrencystringrequired

The beneficiary's account currency in ISO-4217 alpha-3 code format.

Example: "EUR"
payoutMethodNamestring

The payout method determined using the provided data.

Example: "sepa"
dataRequirementsArray of objectsrequired
Example: [{"fieldCategory":"ORIGINATOR","fieldName":"Dbtr.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":2,"fieldMaxLength":100,"fieldDescription":"Business originator's name","fieldHelpText":"The business originator's legal name."},{"fieldCategory":"BENEFICIARY","fieldName":"CdtrAgt.FinInstnId.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":0,"fieldMaxLength":50,"fieldDescription":"Beneficiary's bank name","fieldHelpText":"Name by which the party is known and which is usually used to identify the party."}]
fieldCategorystringrequired

The data requirements apply to the identity type displayed

Enum ValueDescription
ORIGINATOR

Fields related to the sender

BENEFICIARY

Fields related to the beneficiary

ORIGINATOR_AGENT

Fields related to the sender's agent

INTERMEDIARY

Fields for the intermediary party that is facilitating the transaction.
Example - Ripple in case of B2B2B

TRANSACTION

Fields that are not associated with any entity but transaction.
Example - Purp.Cd, SourceOfCash

fieldNamestringrequired

The name of the JSON property.

Example: "Dbtr.Id.OrgId.DtAndPlcofIncorprtn"
fieldTypestringrequired

Indicates whether this property is optional or required.

Example: "OPTIONAL"
fieldDataTypestringrequired

The data type of this data requirement.

Enum ValueDescription
STRING

Indicates the field accepts a sequence of characters.

BOOLEAN

Indicates the field accepts either true or false.

INTEGER

Indicates the field accepts whole numbers.

FLOAT

Indicates the field accepts single-precision floating-point numbers.

DOUBLE

Indicates the field accepts double-precision floating-point numbers.

ENUM

Indicates the field accepts a set of predefined enumerated values.

fieldMinLengthintegerrequired

The minimum amount of characters this field requires.

Example: 2
fieldMaxLengthintegerrequired

The maximum amount of characters this field allows.

Example: 2
fieldDescriptionstringrequired

The name of this property.

Example: "Country of incorporation"
fieldRegexValidatorstring

The RegEx pattern for this property.

Example: "^[A-Z]{2}$"
fieldHelpTextstring

The description for this property.

Example: "Country of incorporation as it appears in the certificate of incorporation"
fieldValuesArray of objects

Lists the allowed enum values and their descriptions.

labelstringrequired

Provides a description of the enum value.

valuestringrequired

Provides the enumerated value allowed for the field.

overlappingFieldsArray of strings
Response
application/json
{ "dataRequirements": [ {}, {} ], "payoutCountry": "AT", "payoutCurrency": "EUR", "payoutMethodName": "sepa", "supportedUseCase": "B2B" }

Add data requirements to a payout method, overwriting any existing requirements

Request

Returns the data requirements now associated to the given payout method

Security
oauth2
Bodyapplication/jsonrequired

A list of data requirements to associate to a given payout method

payoutMethodIdstring(uuid)required
dataRequirementsArray of objectsrequired
Example: [{"fieldRegexValidator":"^[A-Z]{2}$","fieldMaxLength":2,"fieldDescription":"Country of incorporation","fieldHelpText":"Country of incorporation as it appears in the certificate of incorporation","fieldMinLength":2,"fieldCategory":"ORIGINATOR","fieldHelpLink":"https://test-help-link/country-of-incorporation","fieldType":"OPTIONAL","fieldName":"Dbtr.Id.OrgId.DtAndPlcofIncorprtn","fieldDataType":"STRING"}]
fieldCategorystringrequired

The data requirements apply to the identity type displayed

Enum ValueDescription
ORIGINATOR

Fields related to the sender

BENEFICIARY

Fields related to the beneficiary

ORIGINATOR_AGENT

Fields related to the sender's agent

INTERMEDIARY

Fields for the intermediary party that is facilitating the transaction.
Example - Ripple in case of B2B2B

TRANSACTION

Fields that are not associated with any entity but transaction.
Example - Purp.Cd, SourceOfCash

fieldNamestringrequired

The name of the JSON property.

Example: "Dbtr.Id.OrgId.DtAndPlcofIncorprtn"
fieldTypestringrequired

Indicates whether this property is optional or required.

Example: "OPTIONAL"
fieldDataTypestringrequired

The data type of this data requirement.

Enum ValueDescription
STRING

Indicates the field accepts a sequence of characters.

BOOLEAN

Indicates the field accepts either true or false.

INTEGER

Indicates the field accepts whole numbers.

FLOAT

Indicates the field accepts single-precision floating-point numbers.

DOUBLE

Indicates the field accepts double-precision floating-point numbers.

ENUM

Indicates the field accepts a set of predefined enumerated values.

fieldMinLengthintegerrequired

The minimum amount of characters this field requires.

Example: 2
fieldMaxLengthintegerrequired

The maximum amount of characters this field allows.

Example: 2
fieldDescriptionstringrequired

The name of this property.

Example: "Country of incorporation"
fieldRegexValidatorstring

The RegEx pattern for this property.

Example: "^[A-Z]{2}$"
fieldHelpTextstring

The description for this property.

Example: "Country of incorporation as it appears in the certificate of incorporation"
fieldValuesArray of objects

Lists the allowed enum values and their descriptions.

labelstringrequired

Provides a description of the enum value.

valuestringrequired

Provides the enumerated value allowed for the field.

overlappingFieldsArray of strings
curl -i -X PUT \
  https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/data-requirements \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "payoutMethodId": "fff005d3-ebdd-48cc-8c82-62336a6c32d0",
    "dataRequirements": [
      {
        "fieldRegexValidator": "^[A-Z]{2}$",
        "fieldMaxLength": 2,
        "fieldDescription": "Country of incorporation",
        "fieldHelpText": "Country of incorporation as it appears in the certificate of incorporation",
        "fieldMinLength": 2,
        "fieldCategory": "ORIGINATOR",
        "fieldHelpLink": "https://test-help-link/country-of-incorporation",
        "fieldType": "OPTIONAL",
        "fieldName": "Dbtr.Id.OrgId.DtAndPlcofIncorprtn",
        "fieldDataType": "STRING"
      }
    ]
  }'

Responses

Returns details about the added data requirements

Bodyapplication/json
supportedUseCasestringrequired

The use case for the payment.

Example: "B2B"
payoutCountrystringrequired

The beneficiary's country in ISO 3166-1 alpha-2 code format.

Example: "AT"
payoutCurrencystringrequired

The beneficiary's account currency in ISO-4217 alpha-3 code format.

Example: "EUR"
payoutMethodNamestring

The payout method determined using the provided data.

Example: "sepa"
dataRequirementsArray of objectsrequired
Example: [{"fieldCategory":"ORIGINATOR","fieldName":"Dbtr.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":2,"fieldMaxLength":100,"fieldDescription":"Business originator's name","fieldHelpText":"The business originator's legal name."},{"fieldCategory":"BENEFICIARY","fieldName":"CdtrAgt.FinInstnId.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":0,"fieldMaxLength":50,"fieldDescription":"Beneficiary's bank name","fieldHelpText":"Name by which the party is known and which is usually used to identify the party."}]
fieldCategorystringrequired

The data requirements apply to the identity type displayed

Enum ValueDescription
ORIGINATOR

Fields related to the sender

BENEFICIARY

Fields related to the beneficiary

ORIGINATOR_AGENT

Fields related to the sender's agent

INTERMEDIARY

Fields for the intermediary party that is facilitating the transaction.
Example - Ripple in case of B2B2B

TRANSACTION

Fields that are not associated with any entity but transaction.
Example - Purp.Cd, SourceOfCash

fieldNamestringrequired

The name of the JSON property.

Example: "Dbtr.Id.OrgId.DtAndPlcofIncorprtn"
fieldTypestringrequired

Indicates whether this property is optional or required.

Example: "OPTIONAL"
fieldDataTypestringrequired

The data type of this data requirement.

Enum ValueDescription
STRING

Indicates the field accepts a sequence of characters.

BOOLEAN

Indicates the field accepts either true or false.

INTEGER

Indicates the field accepts whole numbers.

FLOAT

Indicates the field accepts single-precision floating-point numbers.

DOUBLE

Indicates the field accepts double-precision floating-point numbers.

ENUM

Indicates the field accepts a set of predefined enumerated values.

fieldMinLengthintegerrequired

The minimum amount of characters this field requires.

Example: 2
fieldMaxLengthintegerrequired

The maximum amount of characters this field allows.

Example: 2
fieldDescriptionstringrequired

The name of this property.

Example: "Country of incorporation"
fieldRegexValidatorstring

The RegEx pattern for this property.

Example: "^[A-Z]{2}$"
fieldHelpTextstring

The description for this property.

Example: "Country of incorporation as it appears in the certificate of incorporation"
fieldValuesArray of objects

Lists the allowed enum values and their descriptions.

labelstringrequired

Provides a description of the enum value.

valuestringrequired

Provides the enumerated value allowed for the field.

overlappingFieldsArray of strings
Response
application/json
{ "dataRequirements": [ {}, {} ], "payoutCountry": "AT", "payoutCurrency": "EUR", "payoutMethodName": "sepa", "supportedUseCase": "B2B" }

Payouts

Operations

PayoutsV2

Operations

Quotes

Operations

Webhooks

Operations

Tranglo

Operations

Routing

Operations

Data Requirement

Operations